<?

session_start();

header( 'Content-type: text/html; charset=windows-1251' );

define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

if ( !isset( $_SESSION['iduser'] ) ) exit();

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/function.php';

?>
  <div class="modal fade bd-example-modal-lg" id="modalf">
	  <div class="modal-dialog " role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
			<h4 class="modal-title">Блокировка пользователя в чате </h4>
		  </div>
		  
		  <div class="modal-body"><!--Содержимое модального окна начало-->
			<div id="send_birthday_text">Укажите дату окончания блокировки пользователя. <br/>Бан будет снят автоматически по истечению указаного времени.</div>
			<div class="form-group">
				<div class="form-group row" style="margin: 25px;">
				  <div class="col-xs-10 div_centralizator" style=" width: 200px;">
					<input class="form-control" type="date" value="" id="example-date-input">
				  </div>
				</div>
				<div class="form-group div_centralizator">
				  <label for="exampleTextarea">Причина блокировки</label>
				  <textarea class="form-control" id="exampleTextarea" rows="3" style="width: 350px; height: 80px;"></textarea>
				</div>
			</div>
			  
			<div class="error_modal_ultimate" > </div>
			<p style="display: none;" id="success_text"><span class="glyphicon glyphicon-info-sign"></span> Пользователь заблокирован в чате! &hellip;</p>
		  </div><!--Содержимое модального окна конец-->
		  
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
			<button type="button" class="btn btn-primary" id="send_ban" onclick="send_ban();">Сохранить</button>
		  </div>
		</div>
	  </div>
  </div>
	
  <script type="text/javascript">
	$(document).ready(function(){
		var options = {
			show : true
		}
		$('#modalf').modal(options);
	});

	function send_ban() {
		$.post('ajax.php?func=chatban',{
			id: "<?= ( int ) $_GET['id']?>",
			date: $('#example-date-input').val(),
			coment_ban_chat: $('#exampleTextarea').val()
		}, function(data){
			if (data == 1){
				$(".form-group").fadeOut(0);
				$("#send_birthday_text").fadeOut(0);
				$("#send_ban").fadeOut(0);
				$("#success_text").fadeIn(800);
				setTimeout(function() {
					location.href = '/chat';
				}, 4000);
			} else {
				$('.error_modal_ultimate').fadeIn().html(data);
				setTimeout(function() {
					$('.error_modal_ultimate').fadeOut().html('&nbsp;');
				}, 4000);
			}
		});
		return false;
	}

  </script>